import java.net.*;
import java.io.*;

class SimpleClient {
	public static void main (String[] args) 	{
		try {
			Socket connection = new Socket (args[0], Integer.parseInt(args[1]));
			System.out.println("connection establish");
			BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
			
			PrintWriter writer =
				new PrintWriter(new OutputStreamWriter(connection.getOutputStream()), true);
			
			BufferedReader input = new BufferedReader(new InputStreamReader(connection.getInputStream()));
			String line;
			while(!(line = reader.readLine()).equalsIgnoreCase("exit")) {
				writer.println(line);
				String fromServer = input.readLine();
				System.out.println("<from server> " + fromServer);
			}
			connection.close();
		}catch(IOException ioe) {
			ioe.printStackTrace();
		}
	}
}
